/* ---- 会社リストの基本構成 ------------------ */

.company-list {
    display: flex;
    flex-wrap: wrap;
    box-sizing: border-box;
}

.company-list>li {
    width: 33%;
    border: 1px solid #ddd;
    display: flex;
    position: relative;
}

.company-list>li.hidden-header {
    width: 0 !important;
    height: 0 !important;
    border: none;
    visibility: hidden;
}

/* パネルの親 */
.company-list .company-panel {
    width: 100%;
    display: grid;
    grid-template-columns: 80px 1fr;
    /* 会社名長いと折り返しが起きるのでその対策 */
    grid-template-rows: max-content 1fr;
    padding: 8px 13px;
}

.company-list .company-panel:hover {
    background: #d1ebd1;
    cursor: pointer;
    text-decoration: none;
}

/* ---- 基本 ------------------ */

.company-panel+.kana {
    position: absolute;
    right: 0;
    top: 0;
    padding: 8px 13px;
    line-height: 1;
    font-size: 12px;
    border-radius: 0px 0px 0px 16px;
}

.company-panel+.kana::first-letter {
    font-weight: bold;
    font-size: 20px;
}

.company-panel .image {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 60px;
}

.company-panel .heading {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 4px 52px 4px 13px;
}

.company-panel .heading .company-name {
    font-size: 18px;
    font-weight: bold;
    color: #666;
    display: block;
}

.company-panel .heading .location {
    font-size: 13px;
    color: #333;
    display: block;
}

.company-panel .heading .sub-link {
    font-size: 13px;
    color: blue;
    display: block;
    text-align: right;
    padding: 0px 13px;
}

.company-panel .detail {
    grid-column: 1 / 4;
    grid-row: 2 / 3;
    table-layout: fixed;
    width: 100%;
    margin: 0;
}

.company-panel .detail tr>* {
    border: 1px solid #008000;
    vertical-align: top;
    padding: 4px 13px;
}

.company-panel .detail th {
    background: #008000;
    font-size: 13px;
    color: #fff;
    font-weight: bold;
    width: 80px;
}

.company-panel .detail td {
    font-size: 13px;
    color: #333;
}

/* ---- 1行版 -------------------------------- */

.company-list.fluid>li {
    width: 100%;
    padding: 4px 13px;
    display: flex;
}

/* ---- 圧縮版 -------------------------------- */


/* 圧縮型 */
.company-list.condensed .company-panel {
    padding: 0;
}

.company-list.condensed .company-panel .heading {
    padding: 4px 0px 4px 13px;
}

.company-list.condensed .company-panel .detail {
    display: none;
}

/* ===================== phone ================= */
@media screen and (max-width: 1023px) {
    .company-list>li {
        width: 50%;
    }
}

@media screen and (max-width: 767px) {
    .company-list>li {
        width: 100%;
    }
}